<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <site>
    <!--
       - siteName: Name of site used in the page titles. Default: SeedDMS
       - footNote: Message to display at the bottom of every page
       - printDisclaimer: if true the disclaimer message the lang.inc files will be print on the bottom of the page
       - language: default language (name of a subfolder in folder "languages")
       - theme: default style (name of a subfolder in folder "styles")
       - previewWidthList: Preview image width in folder list
       - previewWidthDetail: Preview image width in document view
    -->
    <display
      siteName = "Multisistemas DMS"
      footNote = "Multisistemas DMS - Document Management System - www.multisistemas.com.sv"
      printDisclaimer = "true"
      language = "es_ES"
      theme = "multisis-lte"
      previewWidthList = "40"
      previewWidthDetail = "100"
    />
    <!--
       - strictFormCheck: Strict form checking. If set to true, then all fields in the form will be checked for a value. If set to false, then (most) comments and keyword fields become optional. Comments are always required when submitting a review or overriding document status.
       - viewOnlineFileTypes: files with one of the following endings can be viewed online (USE ONLY LOWER CASE CHARACTERS)
       - enableConverting: enable/disable converting of files XXX
       - enableEmail: enable/disable automatic email notification
       - enableUsersView: enable/disable group and user view for all users
       - enableFullSearch: false to don't use fulltext search
       - enableLanguageSelector: false to don't show the language selector after login
       - enableClipboard: false to hide the clipboard
       - enableFolderTree: false to don't show the folder tree
       - expandFolderTree: 0 to start with tree hidden
       -                   1 to start with tree shown and first level expanded
       -                   2 to start with tree shown fully expanded
       - stopWordsFile: path to stop word file for indexer
       - sortUsersInList: how to sort users in lists ('fullname' or '' (default))
       - enableDropUpload: XXX
       - enableRecursiveCount: XXX
       - maxRecursiveCount: XXX
       - enableThemeSelector: XXX
       - fullSearchEngine: Either "lucene" or "sqlitefts"
       - sortFoldersDefault: XXX
    -->
    <edition
      strictFormCheck = "false"
      viewOnlineFileTypes = ".txt;.text;.html;.htm;.xml;.pdf;.gif;.png;.jpg;.jpeg;.mp4"
      enableConverting = "true"
      enableEmail = "true"
      enableUsersView = "true"
      enableFullSearch = "false"
      enableClipboard = "false"
      enableFolderTree = "true"
      expandFolderTree = "1"
      enableLanguageSelector = "false"
      stopWordsFile = ""
      sortUsersInList = ""
      enableDropUpload = "false"
      enableRecursiveCount = "false"
      maxRecursiveCount = "0"
      enableThemeSelector = "false"
      fullSearchEngine = "lucene"
      sortFoldersDefault = "u"
    />
    <!--
       - enableCalendar: enable/disable calendar
       - calendarDefaultView: calendar default view ("w" for week,"m" for month,"y" for year)
       - firstDayOfWeek: first day of the week (0=sunday, 6=saturday)
    -->
    <calendar
      enableCalendar = "true"
      calendarDefaultView = "y"
      firstDayOfWeek = "0"
    />
  </site>
  <system>
    <!--
       - rootDir: Path to where SeedDMS is located
       - httpRoot: The relative path in the URL, after the domain part. Do not include the
       -           http:// prefix or the web host name. e.g. If the full URL is
       -           http://www.example.com/seeddms/, set $_httpRoot = "/seeddms/".
       -           If the URL is http://www.example.com/, set $_httpRoot = "/".
       - contentDir: Where the uploaded files are stored (best to choose a directory that
       -             is not accessible through your web-server)
       - stagingDir: Where partial file uploads are saved
       - luceneDir: Where the lucene fulltext index iѕ saved
       - logFileEnable: set false to disable log system
       - logFileRotation: the log file rotation (h=hourly, d=daily, m=monthly)
       - enableLargeFileUpload: support for jumploader
       - partitionSize: size of chunk uploaded by jumploader
       - dropFolderDir: where files for document upload are located
       - cacheDir: where the preview images are saved
    -->
    <server
      rootDir = ""
      httpRoot = "/seeddms/"
      contentDir = ""
      stagingDir = ""
      luceneDir = ""
      logFileEnable = "true"
      logFileRotation = "d"
      enableLargeFileUpload = "true"
      partitionSize = "2000000"
      dropFolderDir = ""
      cacheDir = ""
    />
    <!--
       - enableGuestLogin: If you want anybody to login as guest, set the following line to true
       -                   note: guest login should be used only in a trusted environment
       - enablePasswordForgotten: Allow users to reset their password
       - restricted: Restricted access: only allow users to log in if they have an entry in the local database (irrespective of successful authentication with LDAP).
       - enableUserImage: enable users images
       - disableSelfEdit: if true user cannot edit his own profile
       - passwordStrength: XXX
       - passwordStrengthAlgorithm: XXX
       - passwordExpiration: XXX
       - passwordHistory: XXX
       - loginFailure: XXX
       - autoLoginUser: XXX
       - quota: XXX
       - undelUserIds: XXX
       - encryptionKey: XXX
       - cookieLifetime: XXX
    -->
    <authentication
      enableGuestLogin = "false"
      enablePasswordForgotten = "false"
      restricted = "true"
      enableUserImage = "false"
      disableSelfEdit = "false"
      passwordStrength = "0"
      passwordStrengthAlgorithm = "simple"
      passwordExpiration = "0"
      passwordHistory = "0"
      loginFailure = "0"
      autoLoginUser = "0"
      quota = "0"
      undelUserIds = ""
      encryptionKey = "b8c75fa53c0c7a18a84adb6ca815bd94"
      cookieLifetime = "0">
      <connectors>
        <!-- ***** CONNECTOR LDAP  *****
           - enable: enable/disable connector
           - type: type of connector ldap / AD
           - host: hostname of the authentification server
           -       URIs are supported, e.g.: ldaps://ldap.host.com
           - port: port of the authentification server
           - baseDN: top level of the LDAP directory tree
           - bindDN: use this dn for a first step bind, leave empty for annonymous bind
           - bindPw: use this password for a first step bind
           - filter: Additional filters which are to be checked
        -->
        <connector
          enable = "false"
          type = "ldap"
          host = "ldaps://ldap.host.com"
          port = "389"
          baseDN = ""
          bindDN = ""
          bindPw = ""
          filter = ""
        />
        <!-- ***** CONNECTOR Microsoft Active Directory  *****
           - enable: enable/disable connector
           - type: type of connector ldap / AD
           - host: hostname of the authentification server
           - port: port of the authentification server
           - baseDN: top level of the LDAP directory tree
           - bindDN: use this dn for a first step bind, leave empty for annonymous bind
           - bindPw: use this password for a first step bind
           - filter: Additional filters which are to be checked
           - accountDomainName: sample: example.com
        -->
        <connector
          enable = "false"
          type = "AD"
          host = "ldap.example.com"
          port = "389"
          baseDN = ""
          accountDomainName = "example.com"
          bindDN = ""
          bindPw = ""
        />
      </connectors>
    </authentication>
    <!--
       - ADOdbPath: Path to adodb. This is the directory containing the adodb directory
       - dbDriver: DB-Driver used by adodb (see adodb-readme)
       - dbHostname: DB-Server
       - dbDatabase: database where the tables for seeddms are stored (optional - see adodb-readme)
       - dbUser: username for database-access
       - dbPass: password for database-access
       - doNotCheckVersion: Whether or not to check the database schema for its correct version.
    -->
    <database
      ADOdbPath = ""
      dbDriver = "_DBC_DBTYPE_"
      dbHostname = "_DBC_DBSERVER_"
      dbDatabase = "_DBC_DBNAME_"
      dbUser = "_DBC_DBUSER_"
      dbPass = "_DBC_DBPASS_"
      doNotCheckVersion = "false"
    />
    <!--
       - smtpServer: SMTP Server hostname
       - smtpPort: SMTP Server port
       - smtpSendFrom: Send from
       - smtpUser: XXX
       - smtpPassword: XXX
    -->
    <smtp
      smtpServer = "localhost"
      smtpPort = "25"
      smtpSendFrom = "dms@localhost"
      smtpUser = ""
      smtpPassword = ""
    />
  </system>
  <advanced>
    <!--
       -siteDefaultPage: Default page on login. Defaults to out/out.ViewFolder.php
       - rootFolderID: ID of root-folder (mostly no need to change)
       - titleDisplayHack: Workaround for page titles that go over more than 2 lines.
       - showMissingTranslations: XXX
    -->
    <display
      siteDefaultPage = ""
      rootFolderID = "1"
      titleDisplayHack = "true"
      showMissingTranslations = "false"
    />
    <!--
       - guestID: ID of guest-user used when logged in as guest (mostly no need to change)
       - adminIP: if enabled admin can login only by specified IP addres, leave empty to avoid the control
       -          NOTE: works only with local autentication (no LDAP)
    -->
    <authentication
      guestID = "2"
      adminIP = ""
    />
    <!-- enableAdminRevApp: false to don't list administrator as reviewer/approver
       - versioningFileName: the name of the versioning info file created by the backup tool
       - workflowMode: 'traditional' or 'advanced'
       - enableVersionDeletion: allow to delete versions after approval
       - enableVersionModification: allow to modify versions after approval
       - enableDuplicateDocNames: allow duplicate names in a folder
       - enableOwnerRevApp: XXX
       - enableSelfRevApp: XXX
       - presetExpirationDate: XXX
       - overrideMimeType: XXX
    -->
    <edition
      enableAdminRevApp = "false"
      versioningFileName = "versioning_info.txt"
      workflowMode = "advanced"
      enableVersionDeletion = "true"
      enableVersionModification = "true"
      enableDuplicateDocNames = "true"
      enableOwnerRevApp = "false"
      enableSelfRevApp = "false"
      presetExpirationDate = ""
      overrideMimeType = "false"
    />
    <!--
       - coreDir: Path to SeedDMS_Core (optional)
       - luceneClassDir: Path to SeedDMS_Lucene (optional)
       - contentOffsetDir: To work around limitations in the underlying file system, a new
       -                   directory structure has been devised that exists within the content
       -                   directory ($_contentDir). This requires a base directory from which
       -                   to begin. Usually leave this to the default setting, 1048576, but can
       -                   be any number or string that does not already exist within $_contentDir.
       - maxDirID: Maximum number of sub-directories per parent directory. Default: 0.
       - updateNotifyTime: users are notified about document-changes that took place within the last "updateNotifyTime" seconds
       - extraPath: XXX
       - maxExecutionTime: XXX
       - cmdTimeout: XXX
    -->
    <server
      coreDir = ""
      luceneClassDir = ""
      contentOffsetDir = "1048576"
      maxDirID = "0"
      updateNotifyTime = "86400"
      extraPath = ""
      maxExecutionTime = "30"
      cmdTimeout = "1"
    />
    <!--
       - enableNotificationAppRev: XXX
       - enableOwnerNotification: XXX
       - enableNotificationWorkflow: XXX
    -->
    <notification
      enableNotificationAppRev = "true"
      enableOwnerNotification = "false"
      enableNotificationWorkflow = "false"
      />
    <converters target="fulltext">
      <converter mimeType="application/pdf">pdftotext -nopgbrk %s - | sed -e 's/ [a-zA-Z0-9.]\{1\} / /g' -e 's/[0-9.]//g'</converter>
      <converter mimeType="application/msword">catdoc %s</converter>
      <converter mimeType="application/vnd.ms-excel">ssconvert -T Gnumeric_stf:stf_csv -S %s fd://1</converter>
      <converter mimeType="audio/mp3">id3 -l -R %s | egrep '(Title|Artist|Album)' | sed 's/^[^:]*: //g'</converter>
      <converter mimeType="audio/mpeg">id3 -l -R %s | egrep '(Title|Artist|Album)' | sed 's/^[^:]*: //g'</converter>
      <converter mimeType="text/plain">cat %s</converter>
      <converter mimeType="text/html">html2text %s</converter>
      <converter mimeType="application/vnd.openxmlformats-officedocument.wordprocessingml.document">docx2txt %s -</converter>
    </converters>
    <converters target="preview">
      <converter mimeType="application/msword">unoconv -d document -e PageRange=1 -f pdf --stdout -v '%f'|gs -dBATCH -dNOPAUSE -sDEVICE=pngalpha -dPDFFitPage -r72x72 -sOutputFile=- -dFirstPage=1 -dLastPage=1 -q - | convert  -resize %wx png:- '%o'</converter>
      <converter mimeType="image/png">convert -resize %wx '%f' '%o'</converter>
      <converter mimeType="image/jpg">convert -resize %wx '%f' '%o'</converter>
      <converter mimeType="image/gif">convert -resize %wx '%f' '%o'</converter>
      <converter mimeType="text/plain">a2ps -1 -a1  -R -B -o - '%f' | gs -dBATCH -dNOPAUSE -sDEVICE=pngalpha -dFirstPage=1 -dLastPage=1 -dPDFFitPage -r72x72 -sOutputFile=- -q - | convert  -resize %wx png:- '%o'</converter>
    </converters>
  </advanced>
  <extensions/>
</configuration>
